library(tclust)
source("rand.index.r")
library(snipEM) 

fell=read.table("fellner.csv",header=T,sep=",")

pm=pam(fell[,-1],2)

rand.index(unclass(fell[,1]),pm$clust)

eps=c(0.05,0.075,0.1,0.15,0.175,0.2,0.25)

res=matrix(NA,length(eps),7)
res[,1]=eps

gstat=matrix(NA,length(eps),2)
g0=kmeans(fell[,-1],2)$cent
g0=g0[order(g0[,1]),]

i=1
for(ep in eps) {
tk=tkmeans(fell[,-1],2,alpha=ep)
V=matrix(1,31,8)
V[tk$clust==0,]=0
R=tk$clust
R[R==0]=sample(2,sum(R==0),replace=TRUE)
sk=skmeans(as.matrix(fell[,-1]),2,V,R)

gstat[i,1]=mean((t(tk$cent[,order(tk$cent[1,])])-g0)^2)
gstat[i,2]=mean((sk$mu[order(sk$mu[,1]),]-g0)^2)

u1=tk$clust!=0
u2=apply(sk$V,1,sum)>0
u=u1 & u2 

res[i,-1]=c(rand.index(unclass(fell[u,1]),tk$clust[u]),rand.index(unclass(fell[u1,1]),tk$clust[u1]),sum(tk$clust==0),rand.index(unclass(fell[u,1]),sk$clust[u]),rand.index(unclass(fell[u2,1]),sk$clust[u2]),sum(apply(sk$V,1,sum)==0))
i=i+1
}



