dat<-read.table('/Users/universitadelsannio/Desktop/dat.txt',dec=',')
video<-cbind(video, dat)
write.table(video,'/Users/universitadelsannio/Desktop/video.dat')
dim(video)

### Dati su video sorveglianza
#### F. de la Torre and M.J. black A framework for robust subspace learning Inter. Jrnl. of Computer Vision, 54, 183-209, 2003
#### G. Mateos and G.B. Giannakis, Sparsity Control for robust PCA
##à ho lavorato sulle prime 110
library(rrcov);library(EBImage)
video<-read.table('/Users/luca/Dropbox/video.dat')
dim(video)
colnames(video)<-1:506
### rifare solo con i primi 100???
video<-video[,1:100]
### matrice su cui eseguire PCA

video2<-t(video)

### PCA classica mediante SVD

video.mean<-colMeans(video2)
video.center<-sapply(1:ncol(video2), function(j) video2[,j]-video.mean[j])
video.pc<-svd(video.center)

### ricostruzione immagini con PCA  
Z.pc<-video.pc$u%*%diag(video.pc$d)
k=5
Z.pc.k<-Z.pc[,1:k]
V.pc.k<-video.pc$v[,1:k]
video.pc.rec<-t(t(Z.pc.k%*%t(V.pc.k)) + video.mean)


### ROBPCA
library(rrcov)
video.rpc<-PcaHubert(video2, alpha=0.5,k=5)

### ricostruzione immagini con ROBPCA  
k=5
Z.rpc.k<-video.rpc@scores[,1:k]
V.rpc.k<-video.rpc@loadings[,1:k]
video.rpc.rec<-t(t(Z.rpc.k%*%t(V.rpc.k)) + video.rpc@center)

###classificare gli outlier (non mi seve granchè)
plot(video.rpc@sd,video.rpc@od)
abline(v=video.rpc@cutoff.sd, h=video.rpc@cutoff.od)
identify(video.rpc@sd,video.rpc@od)

length(m1<-which(video.rpc@sd>video.rpc@cutoff.sd & video.rpc@od<video.rpc@cutoff.od))
length(m2<-which(video.rpc@sd>video.rpc@cutoff.sd & video.rpc@od>video.rpc@cutoff.od))
length(m3<-which(video.rpc@sd<video.rpc@cutoff.sd & video.rpc@od<video.rpc@cutoff.od))
length(m4<-which(video.rpc@sd<video.rpc@cutoff.sd & video.rpc@od>video.rpc@cutoff.od))
#### proviamo a rappresentare le immagini

#pic=8
pic=10
pic=90
#pic=53
#pic=110
pic=63
pic=204
pic=489
pic<-451
par(mfrow=c(1,3))
image(matrix(video[,pic],120,160),col=gray((1:1000)/1000))
pic=63
par(mfrow=c(1,4))
image(rot(matrix(video[,pic],120,160)),col=gray((1:1000)/1000))
image(rot(matrix(video.pc.rec[pic,],120,160)),col=gray((1:1000)/1000))
#image(matrix(video2[pic,]-video.pc.rec[pic,],120,160),col=gray((1:1000)/1000))
#image(matrix(video[,pic],120,160),col=gray((1:1000)/1000))
image(rot(matrix(video.rpc.rec[pic,],120,160)),col=gray((1:1000)/1000))
image(rot(matrix(video2[pic,]-video.rpc.rec[pic,],120,160)),col=gray((1:1000)/1000))

###differenza tra i 2 metodi
image(matrix(video.pc.rec[pic,]-video.rpc.rec[pic,],120,160),col=gray((1:1000)/1000))

display(matrix(video.rpc.rec[pic,],120,160)*250)
display(matrix(video2[pic,]-video.rpc.rec[pic,],120,160)*100)
### le immagini vanno salvate con libreria EBImage!
#frames<-c(8,32,40,63,90,292,330,451,497)
frames<-c(8,32,40,63,69, 79, 90,92)
for(i in 1:8)
{
	pic=frames[i]
filename1<-paste('/Users/universitadelsannio/Dropbox/camera',pic,'.jpeg', sep='')
writeImage(matrix(video[,pic],120,160)*100, filename1, quality=100)
filename2<-paste('/Users/universitadelsannio/Dropbox/camera',pic,'pc5','.jpeg', sep='')
writeImage(matrix(video.pc.rec[pic,],120,160)*100, filename2, quality=100)
filename3<-paste('/Users/universitadelsannio/Dropbox/camera',pic,'rpc5','.jpeg', sep='')
writeImage(matrix(video.rpc.rec[pic,],120,160)*100, filename3, quality=100)
filename4<-paste('/Users/universitadelsannio/Dropbox/camera',pic,'out5','.jpeg', sep='')
writeImage(matrix(video2[pic,]-video.rpc.rec[pic,],120,160)*250, filename4, quality=100)
}
######

prov PP

out1<-PCAgrid(video2, k=5,method='mad')

### ricostruzione immagini con PP 
k=5
Z.rpc.k<-out1$scores[,1:k]
V.rpc.k<-out1$loadings[,1:k]
video.rpc.rec<-t(t(Z.rpc.k%*%t(V.rpc.k)) + out1$center)

pic=8

image(rot(matrix(video[,pic],120,160)),col=gray((1:1000)/1000))
image(rot(matrix(video.rpc.rec[pic,],120,160)),col=gray((1:1000)/1000))
image(rot(matrix(video2[pic,]-video.rpc.rec[pic,],120,160)),col=gray((1:1000)/1000))


frames<-c(8,32,40,63,69, 79, 90,92)
for(i in 1:8)
{
	pic=frames[i]
filename3<-paste('/Users/universitadelsannio/Dropbox/camera',pic,'pp5','.jpeg', sep='')
writeImage(matrix(video.rpc.rec[pic,],120,160)*100, filename3, quality=100)
filename4<-paste('/Users/universitadelsannio/Dropbox/camera',pic,'ppout5','.jpeg', sep='')
writeImage(matrix(video2[pic,]-video.rpc.rec[pic,],120,160)*250, filename4, quality=100)
}


######## alcuni dati su immagini

### butterfly
### arco

### usiamo i dati con arco

## rotazione di 90 gradi
rot <- function(m) t(m)[,nrow(m):1]

arco<-readImage('/Users/universitadelsannio/Desktop/arco.jpg')
image(rot(rot(arco[,,1])), col=grey((1:1000)/1000))


#### classical PCA
arco.mat<-arco[,,1]
arco.pca<-princomp(arco.mat)
k=20
Zk<-arco.pca$scores[,1:k]
Vk<-arco.pca$loadings[,1:k]
arco.pc.rec<-t(t(Zk%*%t(Vk)) + arco.pca$center)
image(rot(rot(arco.pc.rec)), col=grey((1:1000)/1000))


##### robusta

arco.mcd<-Pcacov(arco.mat, cov.control=CovControlMcd())
k=20
Zk<-arco.pca@scores[,1:k]
Vk<-arco.pca@loadings[,1:k]
arco.pc.rec<-t(t(Zk%*%t(Vk)) + arco.pca@center)
image(rot(rot(arco.pc.rec)), col=grey((1:1000)/1000))


#########################################
###########################################


butt<-readImage('/Users/universitadelsannio/Desktop/butterfly.jpg')
image(rot(rot(butt[,,1])), col=grey((1:1000)/1000))


#### classical PCA
butt.mat<-butt[,,1]
butt.pca<-princomp(butt.mat)
k=20
Zk<-butt.pca$scores[,1:k]
Vk<-butt.pca$loadings[,1:k]
butt.pc.rec<-t(t(Zk%*%t(Vk)) + butt.pca$center)
image(rot(rot(butt.pc.rec)), col=grey((1:1000)/1000))


##### robusta 
### in questo caso 1 immagine da ricostruire, ROBPCA nn aiuta causa scarso numero di componenti
#### se la modifico la figura e ci elimino un poco di colonne?!?
### nemmeno funziona!

butt.mat2<-butt.mat[,-c(1:31, 481:511)]
image(rot(rot(butt.mat2)), col=grey((1:1000)/1000))
butt.mcd<-PcaHubert(butt.mat)
butt.mcd2<-PcaCov(butt.mat2, cov.control=CovControlMcd())
k=10
Zk<-butt.mcd@scores[,1:k]
Vk<-butt.mcd@loadings[,1:k]
butt.rpc.rec<-t(t(Zk%*%t(Vk)) + butt.mcd@center)
image(rot(rot(butt.rpc.rec)), col=grey((1:1000)/1000))



### mi costruisco l'esempio come in filzmoser?

###### 

### finger
fing<-readImage('/Users/universitadelsannio/Desktop/finger.jpg')
image(rot(rot(fing[,,1])), col=grey((1:1000)/1000))
dim(fing)

#### PCA

obj<-t(fing[,,1])
fing.acp<-princomp(obj)
cumsum(fing.acp$sd^2)[1:30]/sum(fing.acp$sd^2)

k=5
Zk<-fing.acp$scores[,1:k]
Vk<-fing.acp$loadings[,1:k]
fing.acp.rec<-t(t(Zk%*%t(Vk)) + fing.acp$center)
image(rot(fing.acp.rec), col=grey((1:1000)/1000))


fing.rpc<-PcaHubert(obj)
k=5
Z.rpc.k<-fing.rpc@scores[,1:k]
V.rpc.k<-fing.rpc@loadings[,1:k]
fing.rpc.rec<-t(t(Z.rpc.k%*%t(V.rpc.k)) + fing.rpc@center)
image(rot(fing.rpc.rec), col=grey((1:1000)/1000))

### immagine con noise

### brain

brain<-readImage('/Users/universitadelsannio/Desktop/brain.jpg')
image(brain, col=grey((1:1000)/1000))


#### PCA

brain.acp<-princomp(brain)
cumsum(brain.acp$sd^2)[1:30]/sum(brain.acp$sd^2)

k=10
Zk<-brain.acp$scores[,1:k]
Vk<-brain.acp$loadings[,1:k]
brain.acp.rec<-t(t(Zk%*%t(Vk)) + brain.acp$center)
image(brain.acp.rec, col=grey((1:1000)/1000))

brain.rpc<-PcaHubert(brain)
k=10
Z.rpc.k<-brain.rpc@scores[,1:k]
V.rpc.k<-brain.rpc@loadings[,1:k]
brain.rpc.rec<-t(t(Z.rpc.k%*%t(V.rpc.k)) + brain.rpc@center)
image(brain.rpc.rec, col=grey((1:1000)/1000))
