#### Selection criterion by Croux et al 2011

selection.CFF<-function(X,B,PC, type=c('mad','qn'))
{
	
 X<-as.matrix(X)
 k<-ncol(B)
 matnon<-X-X%*%PC%*%t(PC)

  #### unconstrained 
vnon<-switch (type,
qn=apply(matnon,2,qn),
mad=apply(matnon,2,mad)	
              )  
 #### constrained 

 mat<-X-X%*%B%*%t(B)
 v<-switch (type,
 qn=apply(mat,2,qn),
 mad=apply(mat,2,mad)
                  )
  
             
 df<-length(which(B!=0))
 n<-nrow(X)

 sum(v^2)/sum(vnon^2)+df*log(n)/n
}

